com.google.protobuf

## Interface GeneratedMessage.BuilderParent

- All Superinterfaces:
    AbstractMessage.BuilderParent
  All Known Implementing Classes:
    RepeatedFieldBuilder, SingleFieldBuilder
  Enclosing class:
    GeneratedMessage

      protected static interface GeneratedMessage.BuilderParent
      extends AbstractMessage.BuilderParent

  TODO(xiaofeng): remove this after b/29368482 is fixed. We need to move this interface to AbstractMessage in order to versioning GeneratedMessage but this move breaks binary compatibility for AppEngine. After AppEngine is fixed we can exlude this from google3.

- - ### Method Summary

    - ### Methods inherited from interface com.google.protobuf.AbstractMessage.BuilderParent

      `markDirty`